Module java.desktop
Package javax.swing.event

## Interface ListSelectionListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BasicComboPopup.ListSelectionHandler`, `BasicFileChooserUI.SelectionListener`, `BasicListUI.ListSelectionHandler`, `DefaultTableColumnModel`, `JList.AccessibleJList`, `JTable`, `JTable.AccessibleJTable`

    public interface ListSelectionListener
    extends EventListener

The listener that's notified when a lists selection value changes.

See Also:
  `ListSelectionModel`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `valueChanged​(ListSelectionEvent e)` Called whenever the value of the selection changes.

### Method Detail

#### valueChanged

    void valueChanged​(ListSelectionEvent e)

Called whenever the value of the selection changes.

Parameters:
  `e` - the event that characterizes the change.